/*** content ***/

img.black-to-white {
  filter: brightness(0) invert(1);
}

.p-logo-section {
  &__item {
    &#{&} {
      margin: 1.25rem;
    }
  }

  &__logo {
    img {
      padding-bottom: 1em;
    }
  }
}

/* Header (nav menu) Ubuntu Logo adjustments */
.p-navigation.p-navigation--primary .p-navigation__banner {
  background: none;
}

@media (max-width: 875px) {
  .p-navigation.p-navigation--primary .p-navigation__banner {
    padding-left: 1.75rem;
  }
}

.p-navigation.p-navigation--primary .p-navigation__tagged-logo {
  min-width: 0;
}

.p-navigation.p-navigation--primary .p-navigation__link {
  padding-left: 1.75em;
}

.p-navigation .p-navigation__banner .p-navigation__link {
  min-width: 120px;
}

/* Change line height for apps overview rows */
.p-logo-section__items .p-logo-section__item {
  vertical-align: top;
}

.p-logo-section__items .p-logo-section__item a.p-logo-section__logo {
  height: auto;
  line-height: 1.25em;
}

/* Dark highlight for background image section text */
span.dark-highlight {
  padding: 2px;
  background: $color-x-dark;
  box-shadow: 4px 0 0 $color-x-dark, -4px 0 0 $color-x-dark;
  box-decoration-break: clone;
}

@media (min-width: $breakpoint-navigation-threshold) {
  .p-navigation {
    &__banner {
      background-color: $color-accent;
      padding-left: 1rem;
      padding-right: 1rem;

      .p-navigation__link {
        padding-left: 0;
        padding-right: 0;
      }
    }
  
    &__logo {
      margin: 0;

      & > * {
        display: inline-block;
        width: 107px;
        color: $color-x-light !important;
        font-weight: bold;
        justify-content: center;
        text-align: center;
      }
    }

    &__item {
      &--current {
        background-color: $colors--light-theme--background-default;

        & > * {
          color: $colors--light-theme--text-default !important;
          
          &:hover {
            color: $colors--theme--text-default !important;
          }
        }

        &.p-navigation__item--dropdown-toggle {
          &#{&} {
            &::after {
              @include vf-icon-chevron($colors--light-theme--text-default);
            }
          }
      
          &.is-active > .p-navigation__link {
            background-color: $colors--light-theme--background-default;
          }
        }
      }
    }

    &--secondary {
      z-index: unset;

      .p-navigation__logo {
        height: unset;

        .p-navigation__link {
          &:hover {
            background: none;
            text-decoration: underline;
          }
        }
      }
    
      .p-navigation__item {
        &--current > * {
          color: $color-accent !important;
        }

        .p-navigation__link {
          font-size: 0.875rem;
          line-height: 1em;
        }
      }
    }
  }
}

footer {
  font-size: 0.875rem;

  .nav__item {
    &--current > * {
      color: $color-accent !important;
    }
  }

  .p-inline-list {
    &--social {
      font-size: 2rem;

      a {
        color: $color-mid-dark;
        text-decoration: none;
      }
    
      .gitlab a {
        &:hover {
          color: $color-gitlab;
        }
      }
    
      .mastodon a {
        &:hover {
          color: $color-mastodon;
        }
      }
    
      .rss a {
        &:hover {
          color: $color-rss;
        }
      }
    
      .telegram a {
        &:hover {
          color: $color-telegram;
        }
      }
    
      .twitter a {
        :hover {
          color: $color-twitter;
        }
      }
    }
  }
}

/* Games */
img.store-icon {
  display: block;
  margin: 0px auto;
  max-width: 100%;
  height: 100px;
}
